import * as requests from '../requests/index.js';

export const SUCCESS = "success";
export const menuEnum = [
  {
    id: 1,
    label: "Авторов в избранное",
    action: requests.addAuthorToFavourites,
  },
  {
    id: 2,
    label: "В очередь на чтение",
    action: requests.readLater,
  },
  {
    id: 3,
    label: "Игнорировать книгу",
    action: requests.ignoreBook,
  },
  {
    id: 4,
    label: "Игнорировать автора",
    action: requests.ignoreAuthors,
  },
  {
    id: 6,
    label: "Заметка",
  },
  {
    id: 7,
    label: "Поделиться",
  },
];

export const DEFAULT_AUTHOR = {
  id: 0,
  name: 'Неизвестно'
};

export const likeEnum = [
  {
    id: 0,
    label: "Нравится",
    action: requests.addBookToFavourites,
  },
  {
    id: 1,
    label: "Не нравится",
    action: requests.removeBookToFavourites,
  }
]